Package com.ngrok.definitions

# Class AwsRole

java.lang.Object
com.ngrok.definitions.AwsRole

public class AwsRole extends Object
A class encapsulating the `AwsRole` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AwsRole.Builder`
  Builder class for `AwsRole`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getRoleArn()`
  An ARN that specifies the role that ngrok should use to deliver to the configured target.
  `int`
  `hashCode()`
  `static AwsRole.Builder`
  `newBuilder(String roleArn)`
  Creates a new builder for the `AwsRole` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static AwsRole.Builder newBuilder(String roleArn)
    Creates a new builder for the `AwsRole` type.
    Parameters:
      `roleArn` - An ARN that specifies the role that ngrok should use to deliver to the configured target.
    Returns:
      a new `AwsRole.Builder`

  - ### getRoleArn

    public String getRoleArn()
    An ARN that specifies the role that ngrok should use to deliver to the configured target.
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`